Bug 172423 - [PATCH] www/cgiwrap: Converting port to new options framework
Summary: [PATCH] www/cgiwrap: Converting port to new options framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-07 05:20 UTC by Michael Gmelin
Modified: 2012-10-09 23:47 UTC (History)
0 users

See Also:


Attachments
cgiwrap-4.1.patch (4.76 KB, patch)
2012-10-07 05:20 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2012-10-07 05:20:15 UTC
The patch below converts the port to use the new options framework[1]
and converts the Makefile header to the new format[2].

The patch is to be applied using:

patch -p0 -E </path/to/patchfile

No attempts have been made to fix any potential issues the port might
have beyond this scope. I also didn't fix any indentation issues to
keep the patch small and easy to audit, a future port maintainer might
want to take care of this.

See also:
1. http://lists.freebsd.org/pipermail/freebsd-ports/2012-October/078676.html
2. http://lists.freebsd.org/pipermail/freebsd-ports/2012-August/077801.html

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Guido Falsi freebsd_committer 2012-10-08 09:55:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-10-09 23:47:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!